For the complete documentation index, see llms.txt. This page is also available as Markdown.

Referrals

Referral system operations

Get user referrals

get
/api/referrals

Retrieve referrals made by the authenticated user

Responses
200

User referrals

application/json
okbooleanOptionalExample: true
get/api/referrals

Get referral information

get
/api/referralOf

Get referral information for the authenticated user

Responses
200

Referral information

application/json
okbooleanOptionalExample: true
get/api/referralOf

Create referral

post
/api/referralOf

Create a referral relationship for the authenticated user

Body
addressstring · addressOptional

Address of the user who made the referral

Example: 0x1234567890123456789012345678901234567890
codestringOptional

Referral code

Example: ABC123
Responses
201

Referral created successfully

application/json
okbooleanOptionalExample: true
post/api/referralOf

Last updated